﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GameSDK.Player
{
    /// <summary>
    /// Implementation of Design Pattern Strategy
    /// </summary>
    public interface IStdStrategy
    {
        /// <summary>
        /// Method DoMove that needs to be instanciated to represent the Strategy Move
        /// </summary>
        void DoMove();
    }
}
