﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GuessNumberGame.Board;
using GuessNumberGame.Player;

namespace GuessNumberGame.Test
{
    class Program
    {
        static void Main(string[] args)
        {
            GuessNumberBoard board = new GuessNumberBoard(0, 1000);
            GuessNumberPlayer player1 = new GuessNumberPlayer(board);
            GuessNumberPlayer player2 = new GuessNumberPlayer(board);

            player1.Strategy = new AleaStrategy(player1);
            player2.Strategy = new DichoStrategy(player2);

            board.AddPlayer(player1);
            board.AddPlayer(player2);

            board.startGame();

            string returnval = System.Console.ReadLine();
        }
    }
}
