﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GameSDK.Player;
using GuessNumberGame.Board;

namespace GuessNumberGame.Player
{
    public class AleaStrategy : GuessNumberStrategy//IStdStrategy
    {
        #region Constructor

        public AleaStrategy(GuessNumberPlayer player) : base(player)
        {
        }

        #endregion

        public override void DoMove()
        {
            //throw new NotImplementedException();
            int proposal = ((GuessNumberBoard) this.Player.Board).Alea.Next(Player.LowerBound, Player.UpperBound);

            GuessNumberMove move = new GuessNumberMove(((GuessNumberBoard)Player.Board), proposal);
            Console.WriteLine(this.Player + " : " + proposal);

            if (move.EvaluateMove() > 0)
            {
                Console.WriteLine(Player.GamePlayerId + " : -");
                Player.Board.PlayerMoved(Player, move);
            }
            else if (move.EvaluateMove() < 0)
            {
                Console.WriteLine(Player.GamePlayerId + " : +");
                Player.Board.PlayerMoved(Player, move);
            }
            else
            {
                Console.WriteLine(Player.GamePlayerId + " : win");
            }


        }
    }
}
